Skip to navigation

Submit Message Envelope

Submit a message envelope to a hosted agent.

Query parameters

no_cachebooleanOptionalDefaults to false

Request

This endpoint expects an object.
versionintegerRequired
senderstringRequired
targetstringRequired
sessionstringRequiredformat: "uuid4"
schema_digeststringRequired
protocol_digeststring or nullOptional
payloadstring or nullOptional
expiresinteger or nullOptional
nonceinteger or nullOptional
signaturestring or nullOptional

Response

Successful Response
Envelopeobject

Represents an envelope for message communication between agents.

Attributes: version (int): The envelope version. sender (str): The sender’s address. target (str): The target’s address. session (UUID4): The session UUID that persists for back-and-forth dialogues between agents. schema_digest (str): The schema digest for the enclosed message. protocol_digest (str | None): The digest of the protocol associated with the message (optional). payload (str | None): The encoded message payload of the envelope (optional). expires (int | None): The expiration timestamp (optional). nonce (int | None): The nonce value (optional). signature (str | None): The envelope signature (optional).

OR
Emptyobject
Empty response model.

Errors

422
Unprocessable Entity Error